#!/bin/sh
Clear
echo "Script to create installer..."
echo

echo
echo creating folders
echo

mkdir ~/Desktop/041-08708/
cd ~/Desktop/041-08708/

echo
echo Downloading files...
echo

if [ "`ls 041-08708.English.dist`" != "041-08708.English.dist" ]; then
curl https://swdist.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/041-08708.English.dist -o 041-08708.English.dist
fi;

if [ "`ls RecoveryHDMetaDmg.pkm`" != "RecoveryHDMetaDmg.pkm" ]; then
curl https://swdist.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/RecoveryHDMetaDmg.pkm -o RecoveryHDMetaDmg.pkm
fi;

if [ "`ls RecoveryHDMetaDmg.pkg`" != "RecoveryHDMetaDmg.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/RecoveryHDMetaDmg.pkg -o RecoveryHDMetaDmg.pkg
fi;

if [ "`ls OSInstall.mpkg`" != "OSInstall.mpkg" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/OSInstall.mpkg -o OSInstall.mpkg
fi;

if [ "`ls InstallAssistantAuto.pkm`" != "InstallAssistantAuto.pkm" ]; then
curl https://swdist.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/InstallAssistantAuto.pkm -o InstallAssistantAuto.pkm
fi;

if [ "`ls InstallAssistantAuto.pkg`" != "InstallAssistantAuto.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/InstallAssistantAuto.pkg -o InstallAssistantAuto.pkg
fi;

if [ "`ls BaseSystem.chunklist`" != "BaseSystem.chunklist" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/BaseSystem.chunklist -o BaseSystem.chunklist
fi;

if [ "`ls BaseSystem.dmg`" != "BaseSystem.dmg" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/BaseSystem.dmg -o BaseSystem.dmg
fi;


if [ "`ls InstallESDDmg.pkm`" != "InstallESDDmg.pkm" ]; then
curl https://swdist.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/InstallESDDmg.pkm -o InstallESDDmg.pkm
fi;

if [ "`ls InstallESDDmg.pkg`" != "InstallESDDmg.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/InstallESDDmg.pkg -o InstallESDDmg.pkg
fi;

if [ "`ls InstallESDDmg.chunklist`" != "InstallESDDmg.chunklist" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/InstallESDDmg.chunklist  -o InstallESDDmg.chunklist
fi;

if [ "`ls InstallInfo.plist`" != "InstallInfo.plist" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/InstallInfo.plist -o InstallInfo.plist
fi;

if [ "`ls AppleDiagnostics.chunklist`" != "AppleDiagnostics.chunklist" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/AppleDiagnostics.chunklist -o AppleDiagnostics.chunklist
fi;

if [ "`ls AppleDiagnostics.dmg`" != "AppleDiagnostics.dmg" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/AppleDiagnostics.dmg -o AppleDiagnostics.dmg
fi;

if [ "`ls MajorOSInfo.pkm`" != "MajorOSInfo.pkm" ]; then
curl https://swdist.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/MajorOSInfo.pkm -o MajorOSInfo.pkm
fi;

if [ "`ls MajorOSInfo.pkg`" != "MajorOSInfo.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/MajorOSInfo.pkg -o MajorOSInfo.pkg
fi;

if [ "`ls InstallAssistantAuto.smd`" != "InstallAssistantAuto.smd" ]; then
curl http://swcdn.apple.com/content/downloads/49/44/041-08708/vtip954dc6zbkpdv16iw18jmilcqdt8uot/InstallAssistantAuto.smd -o InstallAssistantAuto.smd
fi;

echo
echo Building package...
echo


cd ..
productbuild --distribution ./041-08708/041-08708.English.dist --package-path ./041-08708/ installer.pkg

sudo /usr/sbin/installer -pkg installer.pkg -target /

echo
echo Copying files
echo

sudo cp ./041-08708/InstallESDDmg.pkg /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/InstallESD.dmg
sudo cp ./041-08708/AppleDiagnostics.dmg /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/
sudo cp ./041-08708/AppleDiagnostics.chunklist /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/
sudo cp ./041-08708/BaseSystem.dmg /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/
sudo cp ./041-08708/BaseSystem.chunklist /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/

echo
echo Finished...
echo



